Bug 428003 - Don't strip binaries in debuginfo
Summary: Don't strip binaries in debuginfo
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ypserv   
(Show other bugs)
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 428002
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-08 16:55 UTC by Adam Stokes
Modified: 2013-04-12 19:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 08:33:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0631 normal SHIPPED_LIVE ypserv bug fix update 2008-08-27 08:33:09 UTC

Description Adam Stokes 2008-01-08 16:55:14 UTC
+++ This bug was initially created as a clone of Bug #428002 +++

Description of problem:
Some binaries (mainly ypserv) are stripped of debugging symbols even though a
debuginfo package is available.

Version-Release number of selected component (if applicable):
ypserv-debuginfo-2.19-3

How reproducible:
Everytime

Steps to Reproduce:
1. Install debuginfo
2. Attempting to view gcore within gdb
3.
  
Actual results:
No debugging symbols

Expected results:
Debugging symbols

Additional info:

-- Additional comment from astokes@redhat.com on 2008-01-08 11:54 EST --
Created an attachment (id=291068)
Remove -s from makefile

Comment 1 RHEL Product and Program Management 2008-01-08 18:15:11 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 8 errata-xmlrpc 2008-08-27 08:33:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0631.html


Note You need to log in before you can comment on or make changes to this bug.